## proda 1.0

=== Makefile ===
################################################################################
# Makefile for proda
################################################################################

################################################################################
# 1) Choose C++ compiler.
################################################################################

CXX = g++

################################################################################
# 2) Set C++ flags.
#    a) DEBUG mode -- no optimizations, no inlining
#    b) PROFILE mode -- for gprof
#    c) RELEASE mode
################################################################################

OTHERFLAGS = -DVERSION="\"1.00\""

# debug mode    
CXXFLAGS = -g -W -Wall -pedantic $(OTHERFLAGS)

# profile mode
#CXXFLAGS = -pg -W -Wall -pedantic $(OTHERFLAGS)

# release mode
#CXXFLAGS = -O3 -W -Wall -pedantic -DNDEBUG $(OTHERFLAGS) -mmmx -msse -msse2 -mfpmath=sse -march=pentium4 -mcpu=pentium4 -funroll-loops -fomit-frame-pointer 
#CXXFLAGS = -O3 -W -Wall -pedantic -DNDEBUG $(OTHERFLAGS) -funroll-loops 

################################################################################
# 3) Dependencies
################################################################################

TARGETS = proda
OBJECTS = AlignedFragment.o Assert.o Block.o Consistency.o GlobalAlign.o LocalAlign.o Main.o PairAligner.o Matrix.o MultiSequence.o ProbModel.o Score.o ScoreMatrix.o Sequence.o SparseMatrix.o Tree.o Utilities.o

.PHONY : all
all : $(TARGETS)

proda : $(OBJECTS)
	$(CXX) $(CXXFLAGS) -lm $(OBJECTS) -o proda

Assert.o: Assert.h
AlignedFragment.o: AlignedFragment.h Utilities.h
Block.o: Block.h Sequence.h AlignedFragment.h Sequence.h Utilities.h Types.h
GlobalAlign.o: Assert.h GlobalAlign.h Matrix.h MultiSequence.h ProbModel.h Score.h Sequence.h
Main.o: Assert.h Block.h Consistency.h GlobalAlign.h Matrix.h MultiSequence.h ProbModel.h SparseMatrix.h Tree.h Utilities.h PairAligner.h
PairAligner.o: PairAligner.h Sequence.h AlignedFragment.h ProbModel.h
Matrix.o: Matrix.h Score.h ScoreMatrix.h SparseMatrix.h
MultiSequence.o: Assert.h MultiSequence.h Sequence.h Utilities.h
ProbModel.o: Matrix.h ProbModel.h Score.h
Score.o: Score.h
ScoreMatrix.o: ScoreMatrix.h Score.h
Sequence.o: Assert.h Sequence.h
SparseMatrix.o: Matrix.h Score.h SparseMatrix.h
Tree.o: GlobalAlign.h Matrix.h MultiSequence.h Tree.h 
Utilities.o: Assert.h Utilities.h

.PHONY : clean
clean:
	rm -f *.o

=== debian/changelog ===
proda (1.0-12build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:54:46 +0100

proda (1.0-12) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Tue, 18 Sep 2018 17:29:21 +0200

proda (1.0-11) unstable; urgency=medium

  * Team upload.

  [ Nadiya Sitdykova]
  * Add autopkgtest test-suite

  [ Andreas Tille ]
  * Move packaging from SVN to Git
  * cme fix dpkg-control
  * debhelper 10
  * d/watch: verified and set version=4

  [ Steffen Moeller ]
  * d/upstream/metadata:
    - Indicated missing entries in registries
    - yamllint cleanliness

 -- Nadiya Sitdykova <rovenskasa@gmail.com>  Tue, 06 Jun 2017 20:54:45 -0400

proda (1.0-10) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with GCC-6.
    Closes: #812039.
  * Bump Standards-Version.
  * Use secure Vcs-*.  
  * Enable full hardening.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Mon, 11 Apr 2016 19:33:48 +0000

proda (1.0-9) unstable; urgency=low

  * debian/control: re-added David to uploaders, because he really
    wanted to remain there
  * moved debian/upstream to debian/upstream/metadata
  * cme fix dpkg-control
  * DEP5
  * propagate hardening options

 -- Andreas Tille <tille@debian.org>  Mon, 11 Jan 2016 14:10:26 +0100

proda (1.0-8) unstable; urgency=low

  [ Charles Plessy ]
  * Documented information in ‘debian/upstream’.
  * Removed mention of the bibliographic reference in ‘debian/control’.

  [ Andreas Tille ]
  * debian/control:
     - Replaced David Paleino as Uploader by myself because David seems
       to have dropped his name from all Debian Med packages
     - Standards-Version: 3.9.3 (no changes needed)
     - Fixed Vcs fields
     - Dropped quilt and cdbs from Build-Depends
  * debian/source/format: 3.0 (quilt)
  * debian/rules: short dh format

 -- Andreas Tille <tille@debian.org>  Thu, 29 Mar 2012 15:35:05 +0200

proda (1.0-7) unstable; urgency=low
  
  * debian/rules: swiched to CDBS (Closes: #486959).
    This delegates the support of parallel building to CDBS.
  * debian/control:
    - Added build-dependancy on CDBS.
    - Reverted to Standards-Version 3.7.3 because of lack of
      `debian/README.source' to explain the patch system.

 -- Charles Plessy <plessy@debian.org>  Fri, 04 Jul 2008 12:43:43 +0900

proda (1.0-6) unstable; urgency=low

  * debian/patches/*.patch: documented and forwarded upstream.
  * debian/patches/03-fix_FTBFS_gcc4.3_missing_includes.patch:
    Added `include <cstdio>' to `AlignedFragment.h' (Closes: #486959).
  * debian/copyright:
    - Updated to the latest version of the machine-readable format.
    - Relicenced packaging to 'same as Proda itself'.
    - Added myself to the Hall of Fame.
  * debian/control: added myself as uploader.

 -- Charles Plessy <plessy@debian.org>  Thu, 26 Jun 2008 13:27:54 +0900

proda (1.0-5) unstable; urgency=low

  Maintenance release.
  
  [ Charles Plessy ]
  * debian/proda.1.xml, debian/rules: semicosmetic change to indicate the path
    to the XSL stylesheet from within the XML source.

  [ David Paleino ]
  * debian/copyright updated to a machine-readable format.
  * debian/copyright-old removed
  * debian/control:
    - updated Standards-Version to 3.8.0
      + enabled parallel building in debian/rules
    - updated debhelper dependency on >= 6 (also debian/compat)

 -- David Paleino <d.paleino@gmail.com>  Wed, 11 Jun 2008 15:08:30 +0200

proda (1.0-4) unstable; urgency=low

  * debian/patches - switching to quilt:
    - DPATCH:
      - 00list removed
      - 01-fix_gcc4.3_warnings.dpatch removed
      - 02-fix_CXXFLAGS.dpatch removed
    - QUILT:
      - series added
      - 01-fix_gcc4.3_warnings.patch added
      - 02-fix_CXXFLAGS.patch added
      - 03-fix_FTBFS_gcc4.3_missing_includes.patch added (closes: #455269)
  * debian/control - B-D updated, switching to quilt
  * debian/rules:
    - patch system updated, switching to quilt
    - adding "manpages" and "proda.1" rules for easier generation of
      the manpage in the future
  * debian/manpage.xml moved to debian/proda.1.xml
  * Updated Standards-Version to 3.7.3

 -- David Paleino <d.paleino@gmail.com>  Sun, 16 Dec 2007 01:50:38 +0100

proda (1.0-3) unstable; urgency=low

  [ Charles Plessy ]
  * Moved the Homepage: field out from the package's description.

  [ David Paleino ]
  * CXXFLAGS are no more hardcoded into the Makefile (added
    debian/patches/02-fix_CXXFLAGS.dpatch)
  * debian/control: removing dependencies for manpage generation - it is
    static now (there's no point in building always the same manpage on
    different archs)
  * debian/proda.1 added
  * debian/manpage.xml removed
  * debian/rules edited to reflect the changes above

 -- David Paleino <d.paleino@gmail.com>  Sun, 30 Sep 2007 10:12:28 +0200

proda (1.0-2) unstable; urgency=low

  * Fixed gcc4.3 warnings

 -- David Paleino <d.paleino@gmail.com>  Wed, 25 Apr 2007 20:59:04 +0200

proda (1.0-1) unstable; urgency=low

  * Initial release (Closes: #408347)

 -- David Paleino <d.paleino@gmail.com>  Tue, 24 Apr 2007 12:47:45 +0200

=== debian/control ===
Source: proda
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: David Paleino <d.paleino@gmail.com>,
           Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~)
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/med-team/proda
Vcs-Git: https://salsa.debian.org/med-team/proda.git
Homepage: http://proda.stanford.edu/

Package: proda
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: multiple alignment of protein sequences
 ProDA is a system for automated detection and alignment of homologous
 regions in collections of proteins with arbitrary domain architectures.
 Given an input set of unaligned sequences, ProDA identifies all
 homologous regions appearing in one or more sequences, and returns a
 collection of local multiple alignments for these regions.

=== debian/watch ===
version=4
opts="uversionmangle=s/_/\./" \
http://proda.stanford.edu/proda_(.*)\.tar\.gz
